# Building a simple FastAPI

## Todos Project

> fastapi: The framework to build our applications.
> uvicorn: An Asynchronous Server Gateway Interface module to run our
> applications.

### Install Framework

* `source venv/bin/activate`
* `pip install fastapi uvicorn`

### Understanding routing in FastAPI

[HTTP Method](https://developer.mozilla.org/en-US/docs/Web/HTTP/Methods)

### Validating request bodies using Pydantic models

> What is Pydantic?

Pydantic is a Python library that handles data validation using Python-type annotations.

Models, when defined, are used as type hints for request body objects and request-response objects. In this chapter, we will only look at using Pydantic models for request bodies.

example:

```python
from pydantic import BaseModel

class Book(BaseModel):
    id: int
    Name: str
    Publishers: str
    Isbn: str
```
