from fastapi import APIRouter, Path
from model import Todo

todo_router = APIRouter(tags=["Todos"])

todo_list = []


@todo_router.post("/todo")
async def add_todo(todo: Todo) -> dict:
    todo.id = len(todo_list) + 1
    todo_list.append(todo)
    return {"message": "Todo added Successfully"}


@todo_router.get("/todo")
async def retrieve_todos() -> dict:
    return {"todos": todo_list}

@todo_router.get("/todo/{todo_id}")
async def get_single_todo(todo_id: int = Path(..., title="The ID of the todo to retrieve")) -> dict:
    for todo in todo_list:
        if todo.id == todo_id:
            return { "todo": todo }
    return { "message": "Todo with supplied ID doesn't exist." }
